Subject: bug#36877: 25.3; uniquify renaway uniquify-managed list

From: Noam Postavsky <[email-masked]>
Date: Sun, 18 Aug 2019 13:51:08 -0400

Noam Postavsky <[email-masked]> writes:

> Looking at the fix-list in the backtrace, we have:
>
>   [cl-struct-uniquify-item "index.html" "/Users/david.biesack/dev/developer.apiture.com/_site/docs/apis/workflow/v0.13.0" #<buffer index.html> nil]
>   { ;; repeated 5 times...
>   [cl-struct-uniquify-item "index.html" "/Users/david.biesack/dev/developer.apiture.com/_site/docs/apis/sample" #<buffer index.html<docs/apis/sample>> "index.html<docs/apis/sample>"]
>   [cl-struct-uniquify-item "index.html" "/Users/david.biesack/dev/developer.apiture.com/_site/doc/apis/sample" #<buffer index.html<doc/apis/sample>> "index.html<doc/apis/sample>"]
>   [cl-struct-uniquify-item "index.html" "/Users/david.biesack/dev/developer.apiture.com/_site/docs/apis/sample/sample" #<buffer index.html<sample/sample>> "index.html<sample/sample>"]
>   [cl-struct-uniquify-item "index.html" "/Users/david.biesack/dev/developer.apiture.com" #<buffer index.html<developer.apiture.com>> "index.html<developer.apiture.com>"]
>   [cl-struct-uniquify-item "index.html" "/Users/david.biesack/dev/developer.apiture.com/_site/docs/concepts" #<buffer index.html<concepts>> "index.html<concepts>"]
>   }

I managed to hit this myself.  I'm not exactly sure what triggered it.
My problematic fix-list looks like this:

    (#s(uniquify-item :base "term-tests.el" :dirname "/home/npostavs/src/emacs/master/test/lisp" :buffer #<buffer term-tests.el> :proposed nil)
    #3=#s(uniquify-item :base #1="term-tests.el" :dirname "/home/npostavs/src/emacs/emacs-master/test/lisp" :buffer #<buffer emacs-master/term-tests.el> :proposed #1#)
    #4=#s(uniquify-item :base #2="term-tests.el" :dirname "/home/npostavs/src/emacs/emacs-26/test/lisp" :buffer #<buffer emacs-26/term-tests.el> :proposed #2#)
    #3# #4#)

I suspect the problem is happening earlier, so we'll need some other
test to catch it.